For the complete documentation index, see llms.txt. This page is also available as Markdown.

Relationships

get
Authorizations
AuthorizationstringRequired

Authenticate using Bearer <jwt> format for internal endpoints

Query parameters
orderingstringOptional

Which field to use when ordering the results.

aspect_typestring · enumOptional

aspect_type

Possible values:
is_privatestringOptional

is_private

from_content_typestringOptional

from_content_type

to_content_typestringOptional

to_content_type

from_object_idstringOptional

from_object_id

to_object_idstringOptional

to_object_id

pageintegerOptional

Page number to retrieve (1-indexed).

page_sizeintegerOptional

Number of results per page. Defaults to the pagination class's page size and respects the configured maximum.

Responses
200Success
application/json
countintegerRequired
nextstring · uri · nullableOptional
previousstring · uri · nullableOptional
get/relationships/
GET /relabase/api/v1/public/relationships/ HTTP/1.1
Host: api.rekap.com
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "count": 1,
  "next": "https://example.com",
  "previous": "https://example.com",
  "results": [
    {
      "id": 1,
      "uuid": "123e4567-e89b-12d3-a456-426614174000",
      "from_content_type": 1,
      "from_object_id": 1,
      "to_content_type": 1,
      "to_object_id": 1,
      "from_entity": {},
      "to_entity": {},
      "aspect_type": "mentor",
      "strength": 1,
      "start_date": "2026-01-01",
      "end_date": "2026-01-01",
      "meta": {},
      "is_private": true,
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z",
      "role_contexts": [
        {
          "id": 1,
          "relationship": 1,
          "relationship_uuid": "123e4567-e89b-12d3-a456-426614174000",
          "relationship_role": "text",
          "description": "text",
          "created": "2026-01-01T00:00:00.000Z",
          "modified": "2026-01-01T00:00:00.000Z"
        }
      ],
      "current_state": {}
    }
  ]
}
post
Authorizations
AuthorizationstringRequired

Authenticate using Bearer <jwt> format for internal endpoints

Body
entity_typestring · enumRequiredPossible values:
from_idintegerRequired
to_idintegerRequired
start_datestring · dateRequired
end_datestring · date · nullableOptional
aspect_typestring · enum · nullableOptionalPossible values:
strengthnumber · nullableOptional
is_privatebooleanOptionalDefault: false
Responses
201Success
application/json
entity_typestring · enumRequiredPossible values:
from_idintegerRequired
to_idintegerRequired
start_datestring · dateRequired
end_datestring · date · nullableOptional
aspect_typestring · enum · nullableOptionalPossible values:
strengthnumber · nullableOptional
is_privatebooleanOptionalDefault: false
post/relationships/
POST /relabase/api/v1/public/relationships/ HTTP/1.1
Host: api.rekap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 193

{
  "entity_type": "person",
  "from_id": 1,
  "to_id": 1,
  "start_date": "2026-01-01",
  "end_date": "2026-01-01",
  "aspect_type": "mentor",
  "strength": 1,
  "is_private": false,
  "meta": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
201Success
{
  "entity_type": "person",
  "from_id": 1,
  "to_id": 1,
  "start_date": "2026-01-01",
  "end_date": "2026-01-01",
  "aspect_type": "mentor",
  "strength": 1,
  "is_private": false,
  "meta": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
get
Authorizations
AuthorizationstringRequired

Authenticate using Bearer <jwt> format for internal endpoints

Path parameters
idstringRequired
Responses
200Success
application/json
idintegerRead-onlyOptional
uuidstring · uuidRead-onlyOptional
from_content_typeintegerRead-onlyOptional
from_object_idintegerRead-onlyOptional
to_content_typeintegerRead-onlyOptional
to_object_idintegerRead-onlyOptional
from_entityobject · From entity · nullableRead-onlyOptional
to_entityobject · To entity · nullableRead-onlyOptional
aspect_typestring · enum · nullableRead-onlyOptionalPossible values:
strengthnumber · nullableRead-onlyOptional
start_datestring · dateRead-onlyOptional
end_datestring · date · nullableRead-onlyOptional
metaobject · MetaRead-onlyOptional
is_privatebooleanRead-onlyOptional
createdstring · date-timeRead-onlyOptional
modifiedstring · date-timeRead-onlyOptional
current_stateobject · Current state · nullableRead-onlyOptional
get/relationships/{id}/
GET /relabase/api/v1/public/relationships/{id}/ HTTP/1.1
Host: api.rekap.com
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "id": 1,
  "uuid": "123e4567-e89b-12d3-a456-426614174000",
  "from_content_type": 1,
  "from_object_id": 1,
  "to_content_type": 1,
  "to_object_id": 1,
  "from_entity": {},
  "to_entity": {},
  "aspect_type": "mentor",
  "strength": 1,
  "start_date": "2026-01-01",
  "end_date": "2026-01-01",
  "meta": {},
  "is_private": true,
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z",
  "role_contexts": [
    {
      "id": 1,
      "relationship": 1,
      "relationship_uuid": "123e4567-e89b-12d3-a456-426614174000",
      "relationship_role": "text",
      "description": "text",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ],
  "current_state": {}
}
put
Authorizations
AuthorizationstringRequired

Authenticate using Bearer <jwt> format for internal endpoints

Path parameters
idstringRequired
Body
start_datestring · dateOptional
end_datestring · date · nullableOptional
aspect_typestring · enum · nullableOptionalPossible values:
strengthnumber · nullableOptional
is_privatebooleanOptional
Responses
200Success
application/json
start_datestring · dateOptional
end_datestring · date · nullableOptional
aspect_typestring · enum · nullableOptionalPossible values:
strengthnumber · nullableOptional
is_privatebooleanOptional
put/relationships/{id}/
PUT /relabase/api/v1/public/relationships/{id}/ HTTP/1.1
Host: api.rekap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 147

{
  "start_date": "2026-01-01",
  "end_date": "2026-01-01",
  "aspect_type": "mentor",
  "strength": 1,
  "is_private": true,
  "meta": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
200Success
{
  "start_date": "2026-01-01",
  "end_date": "2026-01-01",
  "aspect_type": "mentor",
  "strength": 1,
  "is_private": true,
  "meta": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
delete
Authorizations
AuthorizationstringRequired

Authenticate using Bearer <jwt> format for internal endpoints

Path parameters
idstringRequired
Responses
204Success
delete/relationships/{id}/
DELETE /relabase/api/v1/public/relationships/{id}/ HTTP/1.1
Host: api.rekap.com
Authorization: YOUR_API_KEY
Accept: */*
204Success

No content

patch
Authorizations
AuthorizationstringRequired

Authenticate using Bearer <jwt> format for internal endpoints

Path parameters
idstringRequired
Body
start_datestring · dateOptional
end_datestring · date · nullableOptional
aspect_typestring · enum · nullableOptionalPossible values:
strengthnumber · nullableOptional
is_privatebooleanOptional
Responses
200Success
application/json
start_datestring · dateOptional
end_datestring · date · nullableOptional
aspect_typestring · enum · nullableOptionalPossible values:
strengthnumber · nullableOptional
is_privatebooleanOptional
patch/relationships/{id}/
PATCH /relabase/api/v1/public/relationships/{id}/ HTTP/1.1
Host: api.rekap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 147

{
  "start_date": "2026-01-01",
  "end_date": "2026-01-01",
  "aspect_type": "mentor",
  "strength": 1,
  "is_private": true,
  "meta": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
200Success
{
  "start_date": "2026-01-01",
  "end_date": "2026-01-01",
  "aspect_type": "mentor",
  "strength": 1,
  "is_private": true,
  "meta": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
get
Authorizations
AuthorizationstringRequired

Authenticate using Bearer <jwt> format for internal endpoints

Path parameters
idstringRequired
Query parameters
pageintegerOptional

Page number to retrieve (1-indexed).

page_sizeintegerOptional

Number of results per page. Defaults to the pagination class's page size and respects the configured maximum.

Responses
200Success
application/json
idintegerRead-onlyOptional
uuidstring · uuidRead-onlyOptional
from_content_typeintegerRead-onlyOptional
from_object_idintegerRead-onlyOptional
to_content_typeintegerRead-onlyOptional
to_object_idintegerRead-onlyOptional
from_entityobject · From entity · nullableRead-onlyOptional
to_entityobject · To entity · nullableRead-onlyOptional
aspect_typestring · enum · nullableRead-onlyOptionalPossible values:
strengthnumber · nullableRead-onlyOptional
start_datestring · dateRead-onlyOptional
end_datestring · date · nullableRead-onlyOptional
metaobject · MetaRead-onlyOptional
is_privatebooleanRead-onlyOptional
createdstring · date-timeRead-onlyOptional
modifiedstring · date-timeRead-onlyOptional
current_stateobject · Current state · nullableRead-onlyOptional
get/relationships/{id}/state-history/
GET /relabase/api/v1/public/relationships/{id}/state-history/ HTTP/1.1
Host: api.rekap.com
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "id": 1,
  "uuid": "123e4567-e89b-12d3-a456-426614174000",
  "from_content_type": 1,
  "from_object_id": 1,
  "to_content_type": 1,
  "to_object_id": 1,
  "from_entity": {},
  "to_entity": {},
  "aspect_type": "mentor",
  "strength": 1,
  "start_date": "2026-01-01",
  "end_date": "2026-01-01",
  "meta": {},
  "is_private": true,
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z",
  "role_contexts": [
    {
      "id": 1,
      "relationship": 1,
      "relationship_uuid": "123e4567-e89b-12d3-a456-426614174000",
      "relationship_role": "text",
      "description": "text",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ],
  "current_state": {}
}

Last updated